Name:           tw
Version:        0.9.4
Release:        7%{?dist}
Summary:        Translate words into different languages

License:        GPLv3+
URL:            http://code.google.com/p/translateword
Source0:        http://translateword.googlecode.com/files/%{name}-%{version}.tar.bz2

BuildRequires:  hunspell-devel
BuildRequires:  mythes-devel
BuildRequires:  lynx
BuildRequires:  aspell
Requires:       sed
Requires:       bash
Requires:       gawk
Requires:       coreutils
Requires:       %{_bindir}/xmllint
Requires:       curl
Requires:       util-linux
Requires:       lynx
Requires:       aspell
Requires:       espeak
Requires(post): info
Requires(preun): info

%description
Translates words into different languages.  It uses internal dictionaries,
and contacts online to the Google Translation and the FreeTranslation
engines. It can also be integrated via the clipboard with a desktop
environment.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export AM_UPDATE_INFO_DIR=no
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_docdir}/%{name} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files
%{_bindir}/%{name}
%{_bindir}/%{name}-config-klipper
%{_bindir}/mythes
%{_datadir}/%{name}
%{_docdir}/%{name}-%{version}
%{_infodir}/%{name}.info.gz
%{_mandir}/man1/%{name}.1.gz


%changelog
* Mon Dec 13 2012 Juan Manuel Borges Caño <juanmabcmail@gmail.com> - 0.9.4-7
- Use GPLv3+.
- Omit deprecated stuff like BuildRoot, Group, clean and defattr.
- Omit Requires: glibc-common, implicitly pulled by pretty much everything already.
- Add tw-config-klipper to files.

* Mon Dec 10 2012 Juan Manuel Borges Caño <juanmabcmail@gmail.com> - 0.9.4-6
- Do not assume anything about Requires.

* Mon Dec 10 2012 Juan Manuel Borges Caño <juanmabcmail@gmail.com> - 0.9.4-5
- Fix BuildRequires to include lynx and aspell, remove xmllint Requires.

* Mon Dec 10 2012 Juan Manuel Borges Caño <juanmabcmail@gmail.com> - 0.9.4-4
- Fix release tag from 0.x to x.

* Mon Dec 10 2012 Juan Manuel Borges Caño <juanmabcmail@gmail.com> - 0.9.4-3
- Conform to rpmlint.

* Mon Dec 10 2012 Juan Manuel Borges Caño <juanmabcmail@gmail.com> - 0.9.4-2
- Reformat description from too long single line.
- In Requires tag, omit mythes, as per autodetected by RPM.
- In BuildRequires tag, omit coreutils, bash and sed. as per Guidelines#Exceptions.
- BuildRequires and Requires entries listed one-by-one for a better spec legibility.
- Fix Source* tag to the full URL for the compressed archive containing the (original) pristine source code.
- Fix license to GPLv3
- Add Changelog

* Mon Dec 10 2012 Juan Manuel Borges Caño <juanmabcmail@gmail.com> - 0.9.4-1
- Fedora review request (bug 885833)

